Console.Clear();

if( Document.Selection.Text != "" )
	SpellCheck( Document.Selection.Text );
else if ( Document.Selection.WordAtCursor != "" )
	SpellCheck( Document.Selection.WordAtCursor );
else
	Console.WriteLine( "Please select a word for spell check" );

function SpellCheck( text )
{
	var MSWord = new ActiveXObject( "Word.Application");
	// MSWord.Visible = true;

	// Add a document if there aren't any (needed to get suggestions).
	if( 0 == MSWord.Documents.Count )
		MSWord.Documents.Add();
	
	if( MSWord.CheckSpelling( text ) )
	{
		Console.WriteLine( "It appears \"" + text + "\" is spelled correctly." )
	}
	else
	{
	
		// Word is wrong, let's get some suggestions of right ones.
		var colSuggestions = MSWord.GetSpellingSuggestions( text )
		Console.WriteLine( "It appears \"" + text + "\" is spelled wrong. " );
		if( colSuggestions.Count == 0 )
		{
			Console.WriteLine( "No suggestions." );
		}
		else
		{
			Console.WriteLine( "Here are some possible replacements: " );
			for( var e = new Enumerator(colSuggestions); !e.atEnd(); e.moveNext() )
			{
				Console.WriteLine( e.item() );
			}
		}
	}
	
	// 'Kill document, don't leave it floating in memory
	MSWord.ActiveWindow.Close();
	MSWord.Quit();
}